org.codehaus.plexus.interpolation.fixed

## Class PrefixedObjectValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.fixed.AbstractDelegatingValueSource
  - - org.codehaus.plexus.interpolation.fixed.PrefixedObjectValueSource

All Implemented Interfaces:
  FixedValueSource

    public class PrefixedObjectValueSource
    extends AbstractDelegatingValueSource

Wraps an arbitrary object with an `ObjectBasedValueSource` instance, then wraps that source with a `PrefixedValueSourceWrapper` instance, to which this class delegates all of its calls.

Version:
  $Id$

### Constructor Summary

Constructors
Constructor and Description
`PrefixedObjectValueSource(List<String> possiblePrefixes, Object root, boolean allowUnprefixedExpressions)` Wrap the specified root object, allowing the specified list of expression prefixes and setting whether the `PrefixedValueSourceWrapper` allows unprefixed expressions.
`PrefixedObjectValueSource(String prefix, Object root)` Wrap the specified root object, allowing the specified expression prefix.

### Method Summary

### Methods inherited from class org.codehaus.plexus.interpolation.fixed.AbstractDelegatingValueSource

`getDelegate, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrefixedObjectValueSource

    public PrefixedObjectValueSource(String prefix,
                                     Object root)

Wrap the specified root object, allowing the specified expression prefix.

#### PrefixedObjectValueSource

    public PrefixedObjectValueSource(List<String> possiblePrefixes,
                                     Object root,
                                     boolean allowUnprefixedExpressions)

Wrap the specified root object, allowing the specified list of expression prefixes and setting whether the `PrefixedValueSourceWrapper` allows unprefixed expressions.